org.eclipse.ease.service

## Class EngineDescription

- java.lang.Object
- - org.eclipse.ease.service.EngineDescription

    public class EngineDescription
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EngineDescription(IConfigurationElement configurationElement)`

### Method Summary

Methods
`IScriptEngine` `createEngine()` Create a dedicated script engine.
`String` `getID()`
`String` `getName()`
`int` `getPriority()`
`List<ScriptType>` `getSupportedScriptTypes()`
`boolean` `supports(IFile file)`
`boolean` `supports(String scriptType)`
`boolean` `supportsDebugging()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EngineDescription

    public EngineDescription(IConfigurationElement configurationElement)

### Method Detail

#### getSupportedScriptTypes

    public List<ScriptType> getSupportedScriptTypes()

#### getPriority

    public int getPriority()

#### createEngine

    public IScriptEngine createEngine()

Create a dedicated script engine.

Returns:
  script engine or `null`

#### getID

    public String getID()

#### getName

    public String getName()

#### supports

    public boolean supports(String scriptType)

#### supports

    public boolean supports(IFile file)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### supportsDebugging

    public boolean supportsDebugging()